Skip to main content
Resource Center/Network Service/Network Service Operations/EIP Operations
POSTEIP OperationsSince 0.6SynchronousAuth Required

CreateEip

CreateEip

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The EIP name.

    • descriptionString

      Optional. The detailed description of the EIP.

    • vipUuidStringRequired

      The VIP UUID.

    • vmNicUuidString

      Optional. The VM NIC UUID.

    • usedIpUuidString

      Optional. The IP UUID.

    • resourceUuidString

      Optional. The resource UUID. If specified, the VM instance will use the specified value as the UUID.

  • systemTagsList

    Optional. The EIP system tags.

  • userTagsList

    Optional. The EIP user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryEipInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • vipUuidStringRequired

      The VIP UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      当前状态。

    • vipIpStringRequired

      No description provided.

    • guestIpStringRequired

      No description provided.

Endpoint

POST/zstack/v1/eips

/zstack/v1/eips

Operation ID

CreateEip

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/eips' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","vipUuid":"<vipUuid>","vmNicUuid":"<vmNicUuid>","usedIpUuid":"<usedIpUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Test-EIP", "vmNicUuid": "07f9715b85da40d9bd17e5f4277304bd", "vipUuid": "acc6dc9271f54e58ab94e4a1069bc7e5" } }

Change History

This API has no change history records yet.

View all change history